Package org.apache.taglibs.bsf

# Class bsftag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.taglibs.bsf.bsftag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

Direct Known Subclasses:
  `expression`, `scriptlet`

public class bsftag extends javax.servlet.jsp.tagext.BodyTagSupport implements javax.servlet.jsp.tagext.BodyTag

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static String`
  `language`
  `protected static int`
  `lineNo`
  `protected static BSFManager`
  `mgr`

  ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `bsftag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `register(BSFManager mgr, String name, Object bean)`
  `void`
  `setLanguage(String value)`

  ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.jsp.tagext.BodyTag

  `doInitBody, setBodyContent`

  ### Methods inherited from interface javax.servlet.jsp.tagext.IterationTag

  `doAfterBody`

  ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

  `doEndTag, doStartTag, getParent, release, setPageContext, setParent`

- ## Field Details

  - ### language

    protected static String language

  - ### lineNo

    protected static int lineNo

  - ### mgr

    protected static BSFManager mgr

- ## Constructor Details

  - ### bsftag

    public bsftag()

- ## Method Details

  - ### setLanguage

    public void setLanguage(String value)

  - ### register

    protected void register(BSFManager mgr, String name, Object bean) throws Exception
    Throws:
      `Exception`